Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
admin/productsearch.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $Limit = $ini->variable( "eZTradeMain", "ProductSearchLimit" )
| $t
| $product = new eZProduct()
| $TotalTypes =& $product->activeProductSearchCount( $Search, FALSE )
| $productList =& $product->activeProductSearch( $Search, $Offset, $Limit, FALSE )
| $locale = new eZLocale( $Language )
| $i =0

## Variable Documentation

## ◆ $i

$i =0

Definition at line 74 of file admin/productsearch.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 33 of file admin/productsearch.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 35 of file admin/productsearch.php.

## ◆ $Limit

$Limit = $ini->variable( "eZTradeMain", "ProductSearchLimit" )

Definition at line 36 of file admin/productsearch.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 73 of file admin/productsearch.php.

## ◆ $product

$product = new eZProduct()

Definition at line 67 of file admin/productsearch.php.

## ◆ $productList

$productList =& $product->activeProductSearch( $Search, $Offset, $Limit, FALSE )

Definition at line 69 of file admin/productsearch.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/admin/" . $ini->variable( "eZTradeMain", "AdminTemplateDir" ),
"kernel/eztrade/admin/intl/", $Language, "productsearch.php" )
$Language
$Language
Definition: admin/productsearch.php:35
$ini
$ini
Definition: admin/productsearch.php:33
eZTemplate
Definition: eztemplate.php:107

Definition at line 41 of file admin/productsearch.php.

## ◆ $TotalTypes

$TotalTypes =& $product->activeProductSearchCount( $Search, FALSE )

Definition at line 68 of file admin/productsearch.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.